diff --git a/worldeditadditions/init.lua b/worldeditadditions/init.lua
index 7b04b3c..6f8f5e3 100644
--- a/worldeditadditions/init.lua
+++ b/worldeditadditions/init.lua
@@ -9,35 +9,6 @@ worldeditadditions = {}
 local wea = worldeditadditions
 wea.modpath = minetest.get_modpath("worldeditadditions")
 
-wea.Set = dofile(wea.modpath.."/utils/set.lua")
-
-wea.Vector3 = dofile(wea.modpath.."/utils/vector3.lua")
-wea.Mesh, wea.Face = dofile(wea.modpath.."/utils/mesh.lua")
-
-wea.Queue = dofile(wea.modpath.."/utils/queue.lua")
-wea.LRU = dofile(wea.modpath.."/utils/lru.lua")
-wea.inspect = dofile(wea.modpath.."/utils/inspect.lua")
-
--- I/O compatibility layer
-wea.io = dofile(wea.modpath.."/utils/io.lua")
-
-wea.bit = dofile(wea.modpath.."/utils/bit.lua")
-
-wea.terrain = dofile(wea.modpath.."/utils/terrain/init.lua")
-
-dofile(wea.modpath.."/utils/vector.lua")
-dofile(wea.modpath.."/utils/strings/init.lua")
-dofile(wea.modpath.."/utils/format/init.lua")
-dofile(wea.modpath.."/utils/parse/init.lua")
-dofile(wea.modpath.."/utils/tables/init.lua")
-
-dofile(wea.modpath.."/utils/numbers.lua")
-dofile(wea.modpath.."/utils/nodes.lua")
-dofile(wea.modpath.."/utils/node_identification.lua")
-
-dofile(wea.modpath.."/utils/raycast_adv.lua") -- For the farwand
-dofile(wea.modpath.."/utils/player.lua") -- Player info functions
-
 dofile(wea.modpath.."/lib/compat/saplingnames.lua")
 
 dofile(wea.modpath.."/lib/floodfill.lua")
diff --git a/worldeditadditions_core/core/lib/human_size.lua b/worldeditadditions_core/core/lib/human_size.lua
deleted file mode 100644
index c8e5bd1..0000000
--- a/worldeditadditions_core/core/lib/human_size.lua
+++ /dev/null
@@ -1,17 +0,0 @@
-
--- TODO: This is duplicated from worldeditadditions/utils. We should consider moving worldeditadditions/utils to worldeditadditions_core. Perhaps also we could move the definition of the worldeditadditions namespace to worldeditadditions_core too?
-
---- Formats (usually large) numbers as human-readable strings.
--- Ported from PHP: https://github.com/sbrl/Pepperminty-Wiki/blob/0a81c940c5803856db250b29f54658476bc81e21/core/05-functions.php#L67
--- @param	n			number	The number to format.
--- @param	decimals	number	The number of decimal places to show.
--- @return	string		A formatted string that represents the given input number.
-local function human_size(n, decimals)
-	local sizes = { "", "K", "M", "G", "T", "P", "E", "Y", "Z" }
-	local factor = math.floor((#tostring(n) - 1) / 3)
-	local multiplier = 10^(decimals or 0)
-	local result = math.floor(0.5 + (n / (1000 ^ factor)) * multiplier) / multiplier
-	return result .. sizes[factor+1]
-end
-
-return human_size
diff --git a/worldeditadditions_core/core/run_command.lua b/worldeditadditions_core/core/run_command.lua
index 6828215..8acef1d 100644
--- a/worldeditadditions_core/core/run_command.lua
+++ b/worldeditadditions_core/core/run_command.lua
@@ -1,7 +1,7 @@
 -- WARNING: safe_region MUST NOT be imported more than once, as it defines chat commands. If you want to import it again elsewhere, check first that multiple dofile() calls don't execute a file more than once.
 local wea_c = worldeditadditions_core
 local safe_region = dofile(wea_c.modpath.."/core/safe_region.lua")
-local human_size = dofile(wea_c.modpath.."/core/lib/human_size.lua")
+local human_size = wea_c.format.human_size
 
 -- TODO: Reimplement worldedit.player_notify(player_name, msg_text)
 
diff --git a/worldeditadditions_core/init.lua b/worldeditadditions_core/init.lua
index d549b9e..b5434c9 100644
--- a/worldeditadditions_core/init.lua
+++ b/worldeditadditions_core/init.lua
@@ -22,9 +22,44 @@ worldeditadditions_core = {
 	safe_region_limit_default = 100000,
 }
 local wea_c = worldeditadditions_core
-wea_c.EventEmitter = dofile(modpath.."/core/lib/EventEmitter.lua")
-wea_c.pos = dofile(modpath.."/core/pos.lua")
+wea_c.EventEmitter = dofile(modpath.."/utils/EventEmitter.lua")
 
+
+wea_c.Set = dofile(wea_c.modpath.."/utils/set.lua")
+
+wea_c.Vector3 = dofile(wea_c.modpath.."/utils/vector3.lua")
+wea_c.Mesh, wea_c.Face = dofile(wea_c.modpath.."/utils/mesh.lua")
+
+wea_c.Queue = dofile(wea_c.modpath.."/utils/queue.lua")
+wea_c.LRU = dofile(wea_c.modpath.."/utils/lru.lua")
+wea_c.inspect = dofile(wea_c.modpath.."/utils/inspect.lua")
+
+-- I/O compatibility layer
+wea_c.io = dofile(wea_c.modpath.."/utils/io.lua")
+
+wea_c.bit = dofile(wea_c.modpath.."/utils/bit.lua")
+
+wea_c.terrain = dofile(wea_c.modpath.."/utils/terrain/init.lua")
+
+dofile(wea_c.modpath.."/utils/vector.lua")
+dofile(wea_c.modpath.."/utils/strings/init.lua")
+dofile(wea_c.modpath.."/utils/format/init.lua")
+dofile(wea_c.modpath.."/utils/parse/init.lua")
+dofile(wea_c.modpath.."/utils/tables/init.lua")
+
+dofile(wea_c.modpath.."/utils/numbers.lua")
+dofile(wea_c.modpath.."/utils/nodes.lua")
+dofile(wea_c.modpath.."/utils/node_identification.lua")
+
+dofile(wea_c.modpath.."/utils/raycast_adv.lua") -- For the farwand
+dofile(wea_c.modpath.."/utils/player.lua") -- Player info functions
+
+
+
+
+
+
+wea_c.pos = dofile(modpath.."/core/pos.lua")
 wea_c.register_command = dofile(modpath.."/core/register_command.lua")
 wea_c.fetch_command_def = dofile(modpath.."/core/fetch_command_def.lua")
 wea_c.register_alias = dofile(modpath.."/core/register_alias.lua")
diff --git a/worldeditadditions_core/core/lib/EventEmitter.lua b/worldeditadditions_core/utils/EventEmitter.lua
similarity index 100%
rename from worldeditadditions_core/core/lib/EventEmitter.lua
rename to worldeditadditions_core/utils/EventEmitter.lua
diff --git a/worldeditadditions/utils/bit.lua b/worldeditadditions_core/utils/bit.lua
similarity index 100%
rename from worldeditadditions/utils/bit.lua
rename to worldeditadditions_core/utils/bit.lua
diff --git a/worldeditadditions/utils/format/array_2d.lua b/worldeditadditions_core/utils/format/array_2d.lua
similarity index 100%
rename from worldeditadditions/utils/format/array_2d.lua
rename to worldeditadditions_core/utils/format/array_2d.lua
diff --git a/worldeditadditions/utils/format/human_size.lua b/worldeditadditions_core/utils/format/human_size.lua
similarity index 100%
rename from worldeditadditions/utils/format/human_size.lua
rename to worldeditadditions_core/utils/format/human_size.lua
diff --git a/worldeditadditions/utils/format/human_time.lua b/worldeditadditions_core/utils/format/human_time.lua
similarity index 100%
rename from worldeditadditions/utils/format/human_time.lua
rename to worldeditadditions_core/utils/format/human_time.lua
diff --git a/worldeditadditions/utils/format/init.lua b/worldeditadditions_core/utils/format/init.lua
similarity index 100%
rename from worldeditadditions/utils/format/init.lua
rename to worldeditadditions_core/utils/format/init.lua
diff --git a/worldeditadditions/utils/format/make_ascii_table.lua b/worldeditadditions_core/utils/format/make_ascii_table.lua
similarity index 100%
rename from worldeditadditions/utils/format/make_ascii_table.lua
rename to worldeditadditions_core/utils/format/make_ascii_table.lua
diff --git a/worldeditadditions/utils/format/map.lua b/worldeditadditions_core/utils/format/map.lua
similarity index 100%
rename from worldeditadditions/utils/format/map.lua
rename to worldeditadditions_core/utils/format/map.lua
diff --git a/worldeditadditions/utils/format/node_distribution.lua b/worldeditadditions_core/utils/format/node_distribution.lua
similarity index 100%
rename from worldeditadditions/utils/format/node_distribution.lua
rename to worldeditadditions_core/utils/format/node_distribution.lua
diff --git a/worldeditadditions/utils/inspect.lua b/worldeditadditions_core/utils/inspect.lua
similarity index 100%
rename from worldeditadditions/utils/inspect.lua
rename to worldeditadditions_core/utils/inspect.lua
diff --git a/worldeditadditions/utils/io.lua b/worldeditadditions_core/utils/io.lua
similarity index 100%
rename from worldeditadditions/utils/io.lua
rename to worldeditadditions_core/utils/io.lua
diff --git a/worldeditadditions/utils/lru.lua b/worldeditadditions_core/utils/lru.lua
similarity index 100%
rename from worldeditadditions/utils/lru.lua
rename to worldeditadditions_core/utils/lru.lua
diff --git a/worldeditadditions/utils/lru_benchmark.lua b/worldeditadditions_core/utils/lru_benchmark.lua
similarity index 100%
rename from worldeditadditions/utils/lru_benchmark.lua
rename to worldeditadditions_core/utils/lru_benchmark.lua
diff --git a/worldeditadditions/utils/mesh.lua b/worldeditadditions_core/utils/mesh.lua
similarity index 100%
rename from worldeditadditions/utils/mesh.lua
rename to worldeditadditions_core/utils/mesh.lua
diff --git a/worldeditadditions/utils/node_identification.lua b/worldeditadditions_core/utils/node_identification.lua
similarity index 100%
rename from worldeditadditions/utils/node_identification.lua
rename to worldeditadditions_core/utils/node_identification.lua
diff --git a/worldeditadditions/utils/nodes.lua b/worldeditadditions_core/utils/nodes.lua
similarity index 100%
rename from worldeditadditions/utils/nodes.lua
rename to worldeditadditions_core/utils/nodes.lua
diff --git a/worldeditadditions/utils/numbers.lua b/worldeditadditions_core/utils/numbers.lua
similarity index 100%
rename from worldeditadditions/utils/numbers.lua
rename to worldeditadditions_core/utils/numbers.lua
diff --git a/worldeditadditions/utils/parse/axes.lua b/worldeditadditions_core/utils/parse/axes.lua
similarity index 100%
rename from worldeditadditions/utils/parse/axes.lua
rename to worldeditadditions_core/utils/parse/axes.lua
diff --git a/worldeditadditions/utils/parse/axes_parser.lua b/worldeditadditions_core/utils/parse/axes_parser.lua
similarity index 100%
rename from worldeditadditions/utils/parse/axes_parser.lua
rename to worldeditadditions_core/utils/parse/axes_parser.lua
diff --git a/worldeditadditions/utils/parse/chance.lua b/worldeditadditions_core/utils/parse/chance.lua
similarity index 100%
rename from worldeditadditions/utils/parse/chance.lua
rename to worldeditadditions_core/utils/parse/chance.lua
diff --git a/worldeditadditions/utils/parse/init.lua b/worldeditadditions_core/utils/parse/init.lua
similarity index 100%
rename from worldeditadditions/utils/parse/init.lua
rename to worldeditadditions_core/utils/parse/init.lua
diff --git a/worldeditadditions/utils/parse/key_instance.lua b/worldeditadditions_core/utils/parse/key_instance.lua
similarity index 100%
rename from worldeditadditions/utils/parse/key_instance.lua
rename to worldeditadditions_core/utils/parse/key_instance.lua
diff --git a/worldeditadditions/utils/parse/map.lua b/worldeditadditions_core/utils/parse/map.lua
similarity index 100%
rename from worldeditadditions/utils/parse/map.lua
rename to worldeditadditions_core/utils/parse/map.lua
diff --git a/worldeditadditions/utils/parse/seed.lua b/worldeditadditions_core/utils/parse/seed.lua
similarity index 100%
rename from worldeditadditions/utils/parse/seed.lua
rename to worldeditadditions_core/utils/parse/seed.lua
diff --git a/worldeditadditions/utils/parse/tokenise_commands.lua b/worldeditadditions_core/utils/parse/tokenise_commands.lua
similarity index 100%
rename from worldeditadditions/utils/parse/tokenise_commands.lua
rename to worldeditadditions_core/utils/parse/tokenise_commands.lua
diff --git a/worldeditadditions/utils/parse/weighted_nodes.lua b/worldeditadditions_core/utils/parse/weighted_nodes.lua
similarity index 100%
rename from worldeditadditions/utils/parse/weighted_nodes.lua
rename to worldeditadditions_core/utils/parse/weighted_nodes.lua
diff --git a/worldeditadditions/utils/player.lua b/worldeditadditions_core/utils/player.lua
similarity index 76%
rename from worldeditadditions/utils/player.lua
rename to worldeditadditions_core/utils/player.lua
index b69e0b8..af2b6e5 100644
--- a/worldeditadditions/utils/player.lua
+++ b/worldeditadditions_core/utils/player.lua
@@ -1,21 +1,21 @@
-local wea = worldeditadditions
-local v3 = worldeditadditions.Vector3
+local wea_c = worldeditadditions_core
+local v3 = worldeditadditions_core.Vector3
 --- Returns the player's position (at leg level).
 -- @param	name	string	The name of the player to return facing direction of.
 -- @return	vector	Returns position.
-function worldeditadditions.player_vector(name)
+function wea_c.player_vector(name)
 	return minetest.get_player_by_name(name):get_pos()
 end
 
 --- Returns the player's facing info including relative DIRs.
 -- @param	name	string	The name of the player to return facing direction of.
 -- @returns	table(vector3+)	xyz raw values and {axis,sign} tables for facing direction and relative direction keys (front, back, left, right, up, down).
-function worldeditadditions.player_dir(name)
+function wea_c.player_dir(name)
 	local dir = v3.clone(minetest.get_player_by_name(name):get_look_dir())
 	local abs = dir:abs()
 	-- Facing info
-	if abs.x > abs.z then dir.facing = {axis="x",sign=wea.getsign(dir.x)}
-	else dir.facing = {axis="z",sign=wea.getsign(dir.z)} end
+	if abs.x > abs.z then dir.facing = {axis="x",sign=wea_c.getsign(dir.x)}
+	else dir.facing = {axis="z",sign=wea_c.getsign(dir.z)} end
 	-- Set front and back
 	dir.front = dir.facing
 	dir.back = {axis=dir.facing.axis,sign=dir.facing.sign*-1}
@@ -29,16 +29,16 @@ function worldeditadditions.player_dir(name)
 	return dir
 end
 
--- /lua print(worldeditadditions.vector.tostring(minetest.get_player_by_name(myname):get_look_dir()))
+-- /lua print(wea_c.vector.tostring(minetest.get_player_by_name(myname):get_look_dir()))
 
 --- DEPRECATED =================================================================
 -- TODO: Refactor commands that use the following functions to use player_dir then delete these functions
 
 --- Returns the player's facing direction on the horizontal axes only.
--- @deprecated		Use worldeditadditions.player_dir instead.
+-- @deprecated		Use wea_c.player_dir instead.
 -- @param	name	string	The name of the player to return facing direction of.
 -- @return	string,int	Returns axis name and sign multiplier.
-function worldeditadditions.player_axis2d(name)
+function wea_c.player_axis2d(name)
 	-- minetest.get_player_by_name("singleplayer"):
 	local dir = minetest.get_player_by_name(name):get_look_dir()
 	local x, z= math.abs(dir.x), math.abs(dir.z)
@@ -47,24 +47,24 @@ function worldeditadditions.player_axis2d(name)
 end
 
 --- Returns the axis and sign of the axis to the left of the input axis.
--- @deprecated		Use worldeditadditions.player_dir instead.
+-- @deprecated		Use wea_c.player_dir instead.
 -- @param	axis	string	x or z.
 -- @param sign	int	Sign multiplier.
 -- @return	string,int	Returns axis name and sign multiplier.
-function worldeditadditions.axis_left(axis,sign)
+function wea_c.axis_left(axis,sign)
 	if not axis:match("[xz]") then return false, "Error: Not a horizontal axis!"
 	elseif axis == "x" then return true, "z", sign
 	else return true, "x", -sign end
 end
 
 --- Dehumanize Direction: translates up, down, left, right, front, into xyz based on player orientation.
--- @deprecated		Use worldeditadditions.player_dir instead.
+-- @deprecated		Use wea_c.player_dir instead.
 -- @param	name	string	The name of the player to return facing direction of.
 -- @param	dir	string	Relative direction to translate.
 -- @return	string	Returns axis name and sign multiplier.
-function worldeditadditions.dir_to_xyz(name, dir)
-	local axfac, drfac = worldeditadditions.player_axis2d(name)
-	local _, axlft, drlft = worldeditadditions.axis_left(axfac,drfac)
+function wea_c.dir_to_xyz(name, dir)
+	local axfac, drfac = wea_c.player_axis2d(name)
+	local _, axlft, drlft = wea_c.axis_left(axfac,drfac)
 	if dir:match("front") or dir:match("back") then
 		return axfac, dir:match("front") and drfac or -drfac
 	elseif dir:match("left") or dir:match("right") then
diff --git a/worldeditadditions/utils/queue.lua b/worldeditadditions_core/utils/queue.lua
similarity index 100%
rename from worldeditadditions/utils/queue.lua
rename to worldeditadditions_core/utils/queue.lua
diff --git a/worldeditadditions/utils/raycast_adv.lua b/worldeditadditions_core/utils/raycast_adv.lua
similarity index 95%
rename from worldeditadditions/utils/raycast_adv.lua
rename to worldeditadditions_core/utils/raycast_adv.lua
index 1b3c394..cc7bf2d 100644
--- a/worldeditadditions/utils/raycast_adv.lua
+++ b/worldeditadditions_core/utils/raycast_adv.lua
@@ -1,10 +1,10 @@
-
+local wea_c = worldeditadditions_core
 --- Raycasts to find a node in the direction the given player is looking.
 -- @param	player			Player	The player object to raycast from.
 -- @param	maxdist			number	The maximum distance to raycast.
 -- @param	skip_liquid		bool	Whether to skip liquids when raycasting.
 -- @return	position, number		nil if nothing was found (or unloaded chunks were hit), or the position as an {x, y, z} table and the node id if something was found.
-function worldeditadditions.raycast(player, maxdist, skip_liquid)
+function wea_c.raycast(player, maxdist, skip_liquid)
 	if maxdist == nil then maxdist = 100 end
 	if skip_liquid == nil then skip_liquid = false end
 	local look_dir = player:get_look_dir()
diff --git a/worldeditadditions/utils/set.lua b/worldeditadditions_core/utils/set.lua
similarity index 100%
rename from worldeditadditions/utils/set.lua
rename to worldeditadditions_core/utils/set.lua
diff --git a/worldeditadditions/utils/strings/init.lua b/worldeditadditions_core/utils/strings/init.lua
similarity index 100%
rename from worldeditadditions/utils/strings/init.lua
rename to worldeditadditions_core/utils/strings/init.lua
diff --git a/worldeditadditions/utils/strings/polyfill.lua b/worldeditadditions_core/utils/strings/polyfill.lua
similarity index 100%
rename from worldeditadditions/utils/strings/polyfill.lua
rename to worldeditadditions_core/utils/strings/polyfill.lua
diff --git a/worldeditadditions/utils/strings/split.lua b/worldeditadditions_core/utils/strings/split.lua
similarity index 100%
rename from worldeditadditions/utils/strings/split.lua
rename to worldeditadditions_core/utils/strings/split.lua
diff --git a/worldeditadditions/utils/strings/split_shell.lua b/worldeditadditions_core/utils/strings/split_shell.lua
similarity index 100%
rename from worldeditadditions/utils/strings/split_shell.lua
rename to worldeditadditions_core/utils/strings/split_shell.lua
diff --git a/worldeditadditions/utils/strings/to_boolean.lua b/worldeditadditions_core/utils/strings/to_boolean.lua
similarity index 100%
rename from worldeditadditions/utils/strings/to_boolean.lua
rename to worldeditadditions_core/utils/strings/to_boolean.lua
diff --git a/worldeditadditions/utils/strings/tochars.lua b/worldeditadditions_core/utils/strings/tochars.lua
similarity index 100%
rename from worldeditadditions/utils/strings/tochars.lua
rename to worldeditadditions_core/utils/strings/tochars.lua
diff --git a/worldeditadditions/utils/tables/deepcopy.lua b/worldeditadditions_core/utils/tables/deepcopy.lua
similarity index 100%
rename from worldeditadditions/utils/tables/deepcopy.lua
rename to worldeditadditions_core/utils/tables/deepcopy.lua
diff --git a/worldeditadditions/utils/tables/init.lua b/worldeditadditions_core/utils/tables/init.lua
similarity index 100%
rename from worldeditadditions/utils/tables/init.lua
rename to worldeditadditions_core/utils/tables/init.lua
diff --git a/worldeditadditions/utils/tables/makeset.lua b/worldeditadditions_core/utils/tables/makeset.lua
similarity index 100%
rename from worldeditadditions/utils/tables/makeset.lua
rename to worldeditadditions_core/utils/tables/makeset.lua
diff --git a/worldeditadditions/utils/tables/shallowcopy.lua b/worldeditadditions_core/utils/tables/shallowcopy.lua
similarity index 100%
rename from worldeditadditions/utils/tables/shallowcopy.lua
rename to worldeditadditions_core/utils/tables/shallowcopy.lua
diff --git a/worldeditadditions/utils/tables/table_apply.lua b/worldeditadditions_core/utils/tables/table_apply.lua
similarity index 100%
rename from worldeditadditions/utils/tables/table_apply.lua
rename to worldeditadditions_core/utils/tables/table_apply.lua
diff --git a/worldeditadditions/utils/tables/table_contains.lua b/worldeditadditions_core/utils/tables/table_contains.lua
similarity index 100%
rename from worldeditadditions/utils/tables/table_contains.lua
rename to worldeditadditions_core/utils/tables/table_contains.lua
diff --git a/worldeditadditions/utils/tables/table_filter.lua b/worldeditadditions_core/utils/tables/table_filter.lua
similarity index 100%
rename from worldeditadditions/utils/tables/table_filter.lua
rename to worldeditadditions_core/utils/tables/table_filter.lua
diff --git a/worldeditadditions/utils/tables/table_get_last.lua b/worldeditadditions_core/utils/tables/table_get_last.lua
similarity index 100%
rename from worldeditadditions/utils/tables/table_get_last.lua
rename to worldeditadditions_core/utils/tables/table_get_last.lua
diff --git a/worldeditadditions/utils/tables/table_map.lua b/worldeditadditions_core/utils/tables/table_map.lua
similarity index 100%
rename from worldeditadditions/utils/tables/table_map.lua
rename to worldeditadditions_core/utils/tables/table_map.lua
diff --git a/worldeditadditions/utils/tables/table_tostring.lua b/worldeditadditions_core/utils/tables/table_tostring.lua
similarity index 100%
rename from worldeditadditions/utils/tables/table_tostring.lua
rename to worldeditadditions_core/utils/tables/table_tostring.lua
diff --git a/worldeditadditions/utils/tables/table_unique.lua b/worldeditadditions_core/utils/tables/table_unique.lua
similarity index 100%
rename from worldeditadditions/utils/tables/table_unique.lua
rename to worldeditadditions_core/utils/tables/table_unique.lua
diff --git a/worldeditadditions/utils/tables/table_unpack.lua b/worldeditadditions_core/utils/tables/table_unpack.lua
similarity index 100%
rename from worldeditadditions/utils/tables/table_unpack.lua
rename to worldeditadditions_core/utils/tables/table_unpack.lua
diff --git a/worldeditadditions/utils/terrain/apply_heightmap_changes.lua b/worldeditadditions_core/utils/terrain/apply_heightmap_changes.lua
similarity index 100%
rename from worldeditadditions/utils/terrain/apply_heightmap_changes.lua
rename to worldeditadditions_core/utils/terrain/apply_heightmap_changes.lua
diff --git a/worldeditadditions/utils/terrain/calculate_normals.lua b/worldeditadditions_core/utils/terrain/calculate_normals.lua
similarity index 100%
rename from worldeditadditions/utils/terrain/calculate_normals.lua
rename to worldeditadditions_core/utils/terrain/calculate_normals.lua
diff --git a/worldeditadditions/utils/terrain/calculate_slopes.lua b/worldeditadditions_core/utils/terrain/calculate_slopes.lua
similarity index 100%
rename from worldeditadditions/utils/terrain/calculate_slopes.lua
rename to worldeditadditions_core/utils/terrain/calculate_slopes.lua
diff --git a/worldeditadditions/utils/terrain/init.lua b/worldeditadditions_core/utils/terrain/init.lua
similarity index 100%
rename from worldeditadditions/utils/terrain/init.lua
rename to worldeditadditions_core/utils/terrain/init.lua
diff --git a/worldeditadditions/utils/terrain/make_heightmap.lua b/worldeditadditions_core/utils/terrain/make_heightmap.lua
similarity index 100%
rename from worldeditadditions/utils/terrain/make_heightmap.lua
rename to worldeditadditions_core/utils/terrain/make_heightmap.lua
diff --git a/worldeditadditions/utils/vector.lua b/worldeditadditions_core/utils/vector.lua
similarity index 91%
rename from worldeditadditions/utils/vector.lua
rename to worldeditadditions_core/utils/vector.lua
index 7f330da..c7463d0 100644
--- a/worldeditadditions/utils/vector.lua
+++ b/worldeditadditions_core/utils/vector.lua
@@ -1,11 +1,13 @@
 worldeditadditions.vector = {}
 
+-- @deprecated	Use Vector3 instead.
 function worldeditadditions.vector.tostring(v)
 	if not v then return "(nil)" end
 	return "(" .. v.x ..", " .. v.y ..", " .. v.z ..")"
 end
 
 --- Calculates the length squared of the given vector.
+-- @deprecated	Use Vector3 instead.
 -- @param	v	Vector	The vector to operate on
 -- @return	number		The length of the given vector squared
 function worldeditadditions.vector.lengthsquared(v)
@@ -16,6 +18,7 @@ end
 --- Normalises the given vector such that its length is 1.
 -- Also known as calculating the unit vector.
 -- This method does *not* mutate.
+-- @deprecated	Use Vector3 instead.
 -- @param	v	Vector	The vector to calculate from.
 -- @return	Vector		A new normalised vector.
 function worldeditadditions.vector.normalize(v)
@@ -33,6 +36,7 @@ end
 
 --- Rounds the values in a vector down.
 -- Warning: This MUTATES the given vector!
+-- @deprecated	Use Vector3 instead.
 -- @param	v	Vector	The vector to operate on
 function worldeditadditions.vector.floor(v)
 	if v.x then v.x = math.floor(v.x) end
@@ -44,6 +48,7 @@ end
 
 --- Rounds the values in a vector up.
 -- Warning: This MUTATES the given vector!
+-- @deprecated	Use Vector3 instead.
 -- @param	v	Vector	The vector to operate on
 function worldeditadditions.vector.ceil(v)
 	if v.x then v.x = math.ceil(v.x) end
@@ -55,6 +60,7 @@ end
 
 --- Sets the values in a vector to their absolute values.
 -- Warning: This MUTATES the given vector!
+-- @deprecated	Use Vector3 instead.
 -- @param	v	Vector	The vector to operate on
 function worldeditadditions.vector.abs(v)
 	if v.x then v.x = math.abs(v.x) end
@@ -65,6 +71,7 @@ function worldeditadditions.vector.abs(v)
 end
 
 --- Determines if the target point is contained within the defined worldedit region.
+-- @deprecated	Use Vector3 instead.
 -- @param	pos1	Vector	pos1 of the defined region.
 -- @param	pos2	Vector	pos2 of the defined region.
 -- @param	target	Vector	The target vector to check.
@@ -80,6 +87,7 @@ function worldeditadditions.vector.is_contained(pos1, pos2, target)
 end
 
 --- Expands the defined region to include the given point.
+-- @deprecated	Use Vector3 instead.
 -- @param	pos1	Vector	pos1 of the defined region.
 -- @param	pos2	Vector	pos2 of the defined region.
 -- @param	target	Vector	The target vector to include.
@@ -98,6 +106,7 @@ function worldeditadditions.vector.expand_region(pos1, pos2, target)
 end
 
 --- Returns the mean (average) of 2 positions to give you the centre.
+-- @deprecated	Use Vector3 instead.
 -- @param	pos1	Vector	pos1 of the defined region.
 -- @param	pos2	Vector	pos2 of the defined region.
 -- @param	target	Vector	Centre coordinates.
@@ -106,6 +115,7 @@ function worldeditadditions.vector.mean(pos1, pos2)
 end
 
 --- Returns a vector of the min values of 2 positions.
+-- @deprecated	Use Vector3 instead.
 -- @param	pos1	Vector	pos1 of the defined region.
 -- @param	pos2	Vector	pos2 of the defined region.
 -- @return	Vector	Min values from input vectors.
@@ -114,6 +124,7 @@ function worldeditadditions.vector.min(pos1, pos2)
 end
 
 --- Returns a vector of the max values of 2 positions.
+-- @deprecated	Use Vector3 instead.
 -- @param	pos1	Vector	pos1 of the defined region.
 -- @param	pos2	Vector	pos2 of the defined region.
 -- @return	Vector	Max values from input vectors.
diff --git a/worldeditadditions/utils/vector3.lua b/worldeditadditions_core/utils/vector3.lua
similarity index 100%
rename from worldeditadditions/utils/vector3.lua
rename to worldeditadditions_core/utils/vector3.lua
